using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Destination;

public class DestinationReplyChannelsDto {
    public DestinationReplyChannelsDto(
        EmailDto eMail,
        DeMailDto deMail,
        FinkDto fink,
        ElsterDto elster) {
        EMail = eMail;
        DeMail = deMail;
        Fink = fink;
        Elster = elster;
    }

    [JsonProperty("deMail", NullValueHandling = NullValueHandling.Ignore)]
    public DeMailDto? DeMail { get; set; }


    [JsonProperty("elster", NullValueHandling = NullValueHandling.Ignore)]
    public ElsterDto? Elster { get; set; }

    [JsonProperty("eMail", NullValueHandling = NullValueHandling.Ignore)]
    public EmailDto? EMail { get; set; }

    [JsonProperty("fink", NullValueHandling = NullValueHandling.Ignore)]
    public FinkDto? Fink { get; set; }


    public bool IsEmpty() {
        return EMail == null && DeMail == null && Fink == null && Elster == null;
    }
}
